#-- Diagnostic for mpiom (ESM: MPI-ESM1-2) variable volcello / table Ofx
# Editor Note: codes:87,197
{ (if_requested $member $ocemod Ofx volcello $chunk && {
  find_file -e            "$sdir" "*_mpiom_fx_${period}*" ifile
  $cdo -f nc -O \
    expr,'volcello=areacello*thkcello;' \
    $ifile ${sdir}/out_diag/Ofx_volcello.nc || echo ERROR
}; )&; }>$err.volcello.Ofx 2>&1

#-- Diagnostic for mpiom (ESM: MPI-ESM1-2) variable tauuo / table Omon
# Editor Note: codes:548 | Divide by u-point mask amsuo as land values are not masked.
{ (if_requested $member $ocemod Omon tauuo $chunk && {
  find_file -e            "$sdir" "*_mpiom_data_2d_mm_${period}*" ifile1
  find_file -e            "$sdir" "grid_mpiom_fx.nc" ifile2
  $cdo -f nc -O \
    expr,'tauuo=tauuo/sellevidx(amsuo,1);' \
    -merge -selname,tauuo $ifile1 -selname,amsuo $ifile2 \
    ${sdir}/out_diag/Omon_tauuo_$period.nc || echo ERROR
}; )&; }>$err.tauuo.Omon 2>&1

#-- Diagnostic for mpiom (ESM: MPI-ESM1-2) variable uo / table Omon
# Editor Note: codes:3 | Divide by u-point mask amsuo as land values are not masked.
{ (if_requested $member $ocemod Omon uo $chunk && {
  find_file -e            "$sdir" "*_mpiom_data_3d_mm_${period}*" ifile1
  find_file -e            "$sdir" "grid_mpiom_fx.nc" ifile2
  $cdo -f nc -O \
    expr,'uo=uo/amsuo;' \
    -merge -selname,uo $ifile1 -selname,amsuo $ifile2 \
    ${sdir}/out_diag/Omon_uo_$period.nc || echo ERROR
}; )&; }>$err.uo.Omon 2>&1

#-- Diagnostic for mpiom (ESM: MPI-ESM1-2) variable sisnthick / table SImon
# Editor Note: codes:15,141
{ (if_requested $member $ocemod SImon sisnthick $chunk && {
  find_file -e            "$sdir" "*_mpiom_data_2d_mm_${period}*" ifile
  $cdo -f nc -O \
    expr,'sisnthick=sicsno/siconc;' \
    $ifile ${sdir}/out_diag/SImon_sisnthick_$period.nc || echo ERROR
}; )&; }>$err.sisnthick.SImon 2>&1

#-- Diagnostic for mpiom (ESM: MPI-ESM1-2) variable sithick / table SImon
# Editor Note: codes:13,15
{ (if_requested $member $ocemod SImon sithick $chunk && {
  find_file -e            "$sdir" "*_mpiom_data_2d_mm_${period}*" ifile
  $cdo -f nc -O \
    expr,'sithick=sivol/siconc;' \
    $ifile ${sdir}/out_diag/SImon_sithick_$period.nc || echo ERROR
}; )&; }>$err.sithick.SImon 2>&1

#-- Diagnostic for mpiom (ESM: MPI-ESM1-2) variable siu / table SImon
# Editor Note: codes:1022,1023
{ (if_requested $member $ocemod SImon siu $chunk && {
  find_file -e            "$sdir" "*_mpiom_data_2d_mm_${period}*" ifile
  $cdo -f nc -O \
    expr,'siu=siusic/sicu;' \
    $ifile ${sdir}/out_diag/SImon_siu_$period.nc || echo ERROR
}; )&; }>$err.siu.SImon 2>&1

#-- Diagnostic for mpiom (ESM: MPI-ESM1-2) variable siv / table SImon
# Editor Note: codes:1024,1025
{ (if_requested $member $ocemod SImon siv $chunk && {
  find_file -e            "$sdir" "*_mpiom_data_2d_mm_${period}*" ifile
  $cdo -f nc -O \
    expr,'siv=sivsic/sicv;' \
    $ifile ${sdir}/out_diag/SImon_siv_$period.nc || echo ERROR
}; )&; }>$err.siv.SImon 2>&1

